<template>
  <el-container>
    <basic-container style="height: calc(100vh - 118px);width: 100%;">
      <avue-form ref="form" v-model="form" :option="formOption" @submit="saveHandler"></avue-form>
    </basic-container>
  </el-container>
</template>

<script>
import {deleteLog, getPeroid, savePeriod} from "@/api/system/log/logBasic";

export default {
  name: "index",
  data: function () {
    return {
      form:{
        type:[],
      },
      formOption:{
        submitBtn: true,
        submitText:"保存",
        emptyBtn: false,
        menuPosition:'left',
        column: [{
          label: '用户\\机器密级停启用配置',
          labelWidth:185,
          prop: 'type',
          span: 24,
          type: 'checkbox',
          dicData: [
            { label: '用户密级', value: 0 },
            { label: '机器密级', value: 1 },
          ]
        }]
      },
    }
  },
  created() {
    this.getPeroid()
  },
  methods:{
    getPeroid:function (){
      getPeroid().then(res => {
        //this.form=res.data.data;
      }).catch(error => {
      })
    },
    saveHandler:function (form,done){
      debugger;
      savePeriod({'type':this.form.type}).then(res => {
        if (res.data.success) {
          this.$message.success('保存成功')
        }
        done()
      }).catch(error=>{
        done()
      });
    },
  }
}
</script>

<style lang="scss" scoped>
::v-deep {
  .el-scrollbar__wrap {
    overflow: auto !important;
  }
}
</style>
